Help us improve your experience.

Let us know what you think.

Do you have time for a two-minute survey?

 

Additional Software Requirements

 

Additional software is required before you can install JSA Risk Manager.

The following software must be installed on the desktop system that you use to access the JSA Risk Manager user interface:

  • Java Runtime Environment

  • Adobe Flash, version 10 or later